org.jbpm.process.workitem.email

## Class Recipient

- java.lang.Object
- - org.jbpm.process.workitem.email.Recipient

-     public class Recipient
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Recipient()`
    `Recipient(String type, String displayName, String email, String mobile)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getDisplayName()`
    `String` | `getEmail()`
    `String` | `getMobile()`
    `String` | `getType()`
    `int` | `hashCode()`
    `void` | `setDisplayName(String displayName)`
    `void` | `setEmail(String email)`
    `void` | `setMobile(String mobile)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Recipient

          public Recipient()

    - #### Recipient

          public Recipient(String type,
                           String displayName,
                           String email,
                           String mobile)

  - ### Method Detail

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email)

    - #### getMobile

          public String getMobile()

    - #### setMobile

          public void setMobile(String mobile)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.